; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B: "_92.1"																
ANZEIGE_FREQUENZ_KURZ:
	LDS temp1,(adr_FREQUENZ_IST_L)
	LDS temp2,(adr_FREQUENZ_IST_H)
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			

	cpi temp5,'0'
	brne ANZEIGE_FREQUENZ_KURZ_w
	ldi temp5,'_'
ANZEIGE_FREQUENZ_KURZ_w:
	mov temp, temp5
	rcall LCD_DATA_TEMP

	mov temp, temp4
	rcall LCD_DATA_TEMP

	mov temp, temp3
	rcall LCD_DATA_TEMP
	rcall LCD_PUNKT
	mov temp, temp2
	rcall LCD_DATA_TEMP

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_STATUS_KURZ:
	ldi temp,'x'
	rcall LCD_DATA_TEMP
	LDS temp1,(adr_STATUS)
	rcall ANZEIGE_HEX_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B. "S"																		
ANZEIGE_MONO_STEREO_KURZ:
	LDS temp1,(adr_PILOT)
	tst temp1
	brne ANZEIGE_MONO_STEREO_S
ANZEIGE_MONO_STEREO_M:
	ldi temp,'M'
	rcall LCD_DATA_TEMP
	ret
ANZEIGE_MONO_STEREO_S:
	ldi temp,'S'
	rcall LCD_DATA_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;Stereo Blend Indicator 0...100													
ANZEIGE_STBLEND_KURZ:
	LDS temp1,(adr_STBLEND)
	tst temp1
	brne ANZEIGE_STBLEND_KURZ_w
	ldi temp,'_'
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP	
	ret
ANZEIGE_STBLEND_KURZ_w:
	cpi temp1,100	
	brlo ANZEIGE_STBLEND_KURZ_ww
	ldi temp1,99	; auf 99 begrenzen	
ANZEIGE_STBLEND_KURZ_ww:
	rcall LCD_AUSGABE_2_STELLEN_HEX_ASC_TEMP1
	ldi temp,'%'
	rcall LCD_DATA_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Received Signal Strength Indicator. Contains the current receive signal strength (0127 dBV).
ANZEIGE_RSSI_KURZ:
	LDS temp1,(adr_RSSI)
	cpi temp1,100
	brlo ANZEIGE_RSSI_KURZ_w
	ldi temp1,99	; auf 99 begrenzen	
ANZEIGE_RSSI_KURZ_w:
	rcall LCD_AUSGABE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; SNR. Contains the current SNR metric (0127 dB).								
ANZEIGE_SNR_KURZ:
	LDS temp1,(adr_SNR)
	cpi temp1,99
	brlo ANZEIGE_SNR_KURZ_w
	ldi temp1,99	; auf 99 begrenzen	
ANZEIGE_SNR_KURZ_w:
	rcall LCD_AUSGABE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TP_KURZ:
	LDS temp,(adr_RDS_TP)
	tst temp
	brne ANZEIGE_TP_KURZ_AKTIV
ANZEIGE_TP_KURZ_NO:
	ldi temp,'_'
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
	ret
ANZEIGE_TP_KURZ_AKTIV:
	ldi temp,'T'
	rcall LCD_DATA_TEMP
	ldi temp,'P'
	rcall LCD_DATA_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TA_KURZ:
	LDS temp,(adr_RDS_TA)
	tst temp
	brne ANZEIGE_TA_KURZ_AKTIV
ANZEIGE_TA_KURZ_NO:
	ldi temp,'_'
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
	ret
ANZEIGE_TA_KURZ_AKTIV:
	ldi temp,'T'
	rcall LCD_DATA_TEMP
	ldi temp,'A'
	rcall LCD_DATA_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_NEXT_AF_KURZ:
	; berlauf			
	LDS temp,(adr_RDS_AF_ZEIGER)
	cpi temp,204+1
	brlo ANZEIGE_NEXT_AF_RUN
	ret
ANZEIGE_NEXT_AF_RUN:
	; Zeiger +1			
	inc temp
	STS(adr_RDS_AF_ZEIGER),temp
	; Z-initialisieren	
	ldi ZL,LOW (adr_RDS_BEREICH_AF)
	ldi ZH,HIGH(adr_RDS_BEREICH_AF)
	add ZL,temp
	adc ZH,NULL
	LD temp,Z		; aus SRAM laden
	tst temp
	; Schleife			
	breq ANZEIGE_NEXT_AF_KURZ
	; Anzeige (0=87,5 204=107,9)
	LDS temp,(adr_RDS_AF_ZEIGER)
	ldi temp1,LOW (875)
	ldi temp2,HIGH(875)
	add temp1,temp
	adc temp2,NULL
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	cpi temp4,'0'
	brne ANZEIGE_NEXT_AF_KURZ_NO_NULL
	ldi temp4,'_'
ANZEIGE_NEXT_AF_KURZ_NO_NULL:
	mov temp, temp4			; 4.ZEICHEN 
	rcall LCD_DATA_TEMP
	mov temp, temp3			; 3.ZEICHEN 
	rcall LCD_DATA_TEMP
	mov temp, temp2			; 2.ZEICHEN 
	rcall LCD_DATA_TEMP
	rcall LCD_PUNKT
	mov temp, temp1			; 1.ZEICHEN (1-er Stelle)	
	rcall LCD_DATA_TEMP
	rcall LCD_SPACE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_MUSIK_SPRACHE_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_MUSIK_SPRACHE_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_MUSIK_SPRACHE_KURZ_RUN:
	LDS temp,(adr_RDS_MS)
	tst temp
	brne ANZEIGE_MS_KURZ_MUSIK
ANZEIGE_MS_KURZ_SPRACHE:
	ldi temp,'S'
	rcall LCD_DATA_TEMP
	ldi temp,'P'
	rcall LCD_DATA_TEMP
	ldi temp,'R'
	rcall LCD_DATA_TEMP
	ldi temp,'A'
	rcall LCD_DATA_TEMP
	ldi temp,'C'
	rcall LCD_DATA_TEMP
	ldi temp,'H'
	rcall LCD_DATA_TEMP
	ldi temp,'E'
	rcall LCD_DATA_TEMP
	ret
ANZEIGE_MS_KURZ_MUSIK:
	ldi temp,'M'
	rcall LCD_DATA_TEMP
	ldi temp,'U'
	rcall LCD_DATA_TEMP
	ldi temp,'S'
	rcall LCD_DATA_TEMP
	ldi temp,'I'
	rcall LCD_DATA_TEMP
	ldi temp,'K'
	rcall LCD_DATA_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B. "D318"																	
ANZEIGE_PI_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PI_KURZ_OK
	LDS temp,(adr_RDS_PI_L)
	tst temp
	brne ANZEIGE_PI_KURZ_OK

	rcall LCD_STRICH4
	ret
ANZEIGE_PI_KURZ_OK:
	LDS temp1,(adr_RDS_PI_H)
	rcall ANZEIGE_HEX_TEMP1
	LDS temp1,(adr_RDS_PI_L)
	rcall ANZEIGE_HEX_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PI_TEXT_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PI_TEXT_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_PI_TEXT_KURZ_RUN:
	; Z-initialisieren	
	LDS temp,(adr_RDS_PI_L)
	SWAP temp
	andi temp,0b00001111
	mov temp1,temp
	add temp,temp1
	add temp,temp1
	ldi ZL,LOW (ANZEIGE_PI_TEXT_KURZ_SPRUNGMARKE)
	ldi ZH,HIGH(ANZEIGE_PI_TEXT_KURZ_SPRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	; SPRUNG nach Z		
	ijmp
ANZEIGE_PI_TEXT_KURZ_SPRUNGMARKE:
	ldi ZH, high(TEXT_PI_ZIFFER3_0*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_0*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_1:
	ldi ZH, high(TEXT_PI_ZIFFER3_1*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_1*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_2:
	ldi ZH, high(TEXT_PI_ZIFFER3_2*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_2*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_3:
	ldi ZH, high(TEXT_PI_ZIFFER3_3*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_3*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_4:
	ldi ZH, high(TEXT_PI_ZIFFER3_4*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_4*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_5:
	ldi ZH, high(TEXT_PI_ZIFFER3_5*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_5*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_6:
	ldi ZH, high(TEXT_PI_ZIFFER3_6*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_6*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_7:
	ldi ZH, high(TEXT_PI_ZIFFER3_7*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_7*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_8:
	ldi ZH, high(TEXT_PI_ZIFFER3_8*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_8*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_9:
	ldi ZH, high(TEXT_PI_ZIFFER3_9*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_9*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_A:
	ldi ZH, high(TEXT_PI_ZIFFER3_A*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_A*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_B:
	ldi ZH, high(TEXT_PI_ZIFFER3_B*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_B*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_C:
	ldi ZH, high(TEXT_PI_ZIFFER3_C*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_C*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_D:
	ldi ZH, high(TEXT_PI_ZIFFER3_D*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_D*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_E:
	ldi ZH, high(TEXT_PI_ZIFFER3_E*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_E*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_TEXT_KURZ_F:
	ldi ZH, high(TEXT_PI_ZIFFER3_F*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_F*2)
	rjmp ANZEIGE_TEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PTY_KURZ:
	LDS temp1,(adr_RDS_PTY)
	rcall LCD_AUSGABE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PTY_TEXT_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PTY_TEXT_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_PTY_TEXT_KURZ_RUN:
	; Z-initialisieren	
	LDS temp,(adr_RDS_PTY)
	mov temp1,temp
	add temp,temp1
	add temp,temp1
	ldi ZL,LOW (ANZEIGE_PTY_TEXT_SPRUNGMARKE)
	ldi ZH,HIGH(ANZEIGE_PTY_TEXT_SPRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	; SPRUNG nach Z		
	ijmp
ANZEIGE_PTY_TEXT_SPRUNGMARKE:
	ldi ZH, high(TEXT_PTY_00*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_00*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_01:
	ldi ZH, high(TEXT_PTY_01*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_01*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_02:
	ldi ZH, high(TEXT_PTY_02*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_02*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_03:
	ldi ZH, high(TEXT_PTY_03*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_03*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_04:
	ldi ZH, high(TEXT_PTY_04*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_04*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_05:
	ldi ZH, high(TEXT_PTY_05*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_05*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_06:
	ldi ZH, high(TEXT_PTY_06*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_06*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_07:
	ldi ZH, high(TEXT_PTY_07*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_07*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_08:
	ldi ZH, high(TEXT_PTY_08*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_08*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_09:
	ldi ZH, high(TEXT_PTY_09*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_09*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_10:
	ldi ZH, high(TEXT_PTY_10*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_10*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_11:
	ldi ZH, high(TEXT_PTY_11*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_11*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_12:
	ldi ZH, high(TEXT_PTY_12*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_12*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_13:
	ldi ZH, high(TEXT_PTY_13*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_13*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_14:
	ldi ZH, high(TEXT_PTY_14*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_14*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_15:
	ldi ZH, high(TEXT_PTY_15*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_15*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_16:
	ldi ZH, high(TEXT_PTY_16*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_16*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_17:
	ldi ZH, high(TEXT_PTY_17*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_17*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_18:
	ldi ZH, high(TEXT_PTY_18*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_18*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_19:
	ldi ZH, high(TEXT_PTY_19*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_19*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_20:
	ldi ZH, high(TEXT_PTY_20*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_20*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_21:
	ldi ZH, high(TEXT_PTY_21*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_21*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_22:
	ldi ZH, high(TEXT_PTY_22*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_22*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_23:
	ldi ZH, high(TEXT_PTY_23*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_23*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_24:
	ldi ZH, high(TEXT_PTY_24*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_24*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_25:
	ldi ZH, high(TEXT_PTY_25*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_25*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_26:
	ldi ZH, high(TEXT_PTY_26*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_26*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_27:
	ldi ZH, high(TEXT_PTY_27*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_27*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_28:
	ldi ZH, high(TEXT_PTY_28*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_28*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_29:
	ldi ZH, high(TEXT_PTY_29*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_29*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_30:
	ldi ZH, high(TEXT_PTY_30*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_30*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_31:
	ldi ZH, high(TEXT_PTY_31*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_31*2)
	rjmp ANZEIGE_TEXT
	

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RDS_ZEIT_KURZ:
	LDS temp1,(adr_RDS_ZEIT_HH)
	rcall LCD_AUSGABE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	LDS temp1,(adr_RDS_ZEIT_MM)
	rcall LCD_AUSGABE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RDS_ZEIT_OFFSET_KURZ:
	LDS temp1,(adr_RDS_ZEIT_OFFSET)
	rcall LCD_AUSGABE_3_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SENDERNAME_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_SENDERNAME+0)
	ldi ZH, HIGH(adr_RDS_BEREICH_SENDERNAME+0)
	ldi temp1,8
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RADIOTEXT1_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+0)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+0)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT2_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+16)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+16)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT3_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+32)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+32)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT4_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+48)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+48)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT5_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+64)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+64)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT6_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+80)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+80)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT7_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+96)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+96)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT8_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT+112)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT+112)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PROPERTY_KURZ:
	ldi temp,'P'
	rcall LCD_DATA_TEMP
	ldi temp,'R'
	rcall LCD_DATA_TEMP
	ldi temp,'O'
	rcall LCD_DATA_TEMP
	ldi temp,'P'
	rcall LCD_DATA_TEMP
	rcall LCD_SPACE

	LDS temp1,(adr_PROPERTY_H)
	rcall ANZEIGE_HEX_TEMP1
	LDS temp1,(adr_PROPERTY_L)
	rcall ANZEIGE_HEX_TEMP1
	rcall LCD_SPACE
	LDS temp1,(adr_PROPERTY_VALUE_H)
	rcall ANZEIGE_HEX_TEMP1
	LDS temp1,(adr_PROPERTY_VALUE_L)
	rcall ANZEIGE_HEX_TEMP1

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
